<?php

class BecasModel
{
    private $tu_conexion;

    public function __construct($conexion)
    {
        $this->tu_conexion = $conexion;
    }

    public function obtenerCantidadBecas()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM beca";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerBecas()
    {
        $query = "SELECT b.id_beca, b.nombre AS nombre_beca, b.descripcion AS descripcion_beca, b.link, b.fecha_culminacion, b.imagen_url,
            p.nombre_programa AS nombre_programa
            FROM beca b
            JOIN programas_estudio p ON b.id_programa = p.id_programa
            WHERE b.estado = 'activo';"; 
        $result = mysqli_query($this->tu_conexion, $query);

        $becas = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $becas[] = $row;
        }

        return $becas;
    }

    public function obtenerBecasInactivas()
    {
        $query = "SELECT b.id_beca, b.nombre AS nombre_beca, b.descripcion AS descripcion_beca, b.link, b.fecha_culminacion, b.imagen_url,
            p.nombre_programa AS nombre_programa
            FROM beca b
            JOIN programas_estudio p ON b.id_programa = p.id_programa
            WHERE b.estado = 'inactivo';"; 
        $result = mysqli_query($this->tu_conexion, $query);

        $becasinactivas = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $becasinactivas[] = $row;
        }

        return $becasinactivas;
    }

}
