<?php

class EmpresasModel
{
    private $tu_conexion;

    public function __construct($conexion)
    {
        $this->tu_conexion = $conexion;
    }

    public function obtenerCantidadEmpresas()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM empresas";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerEmpresas()
    {
        $query = "SELECT id_empresa, nombre_empresa,estado FROM empresas where estado = 'Activo'";
        $result = mysqli_query($this->tu_conexion, $query);

        $empresas = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $empresas[] = $row;
        }

        return $empresas;
    }
}
