<?php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Recibir datos del formulario
    $nombre = $_POST['nombre'];
    $apellidos = $_POST['apellidos'];
    $tipo_documento = $_POST['tipo_documento'];
    $dni = $_POST['dni'];
    $correo = $_POST['correo'];
   
    $tipo_usuario = $_POST['rol'];
    $clave = password_hash($_POST['clave'], PASSWORD_DEFAULT); // Hash de la contraseña

   
 

    // Validar duplicados (correo y DNI)
    $query_validar_correo = "SELECT COUNT(*) as count FROM usuarios WHERE correo = '$correo'";
    $result_correo = mysqli_query($tu_conexion, $query_validar_correo);
    $count_correo = mysqli_fetch_assoc($result_correo)['count'];

    $query_validar_dni = "SELECT COUNT(*) as count FROM usuarios WHERE dni = '$dni'";
    $result_dni = mysqli_query($tu_conexion, $query_validar_dni);
    $count_dni = mysqli_fetch_assoc($result_dni)['count'];

    if ($count_correo > 0) {
        // Correo duplicado, responder con error
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Correo electrónico ya registrado.']);
        exit;
    }

    if ($count_dni > 0) {
        // DNI duplicado, responder con error
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'DNI ya registrado.']);
        exit;
    }

    // Insertar datos en la tabla usuarios
    $query_insertar_usuario = "INSERT INTO usuarios (nombres, apellidos, dni, correo, rol, contrasena,estado,tipodoc)
                               VALUES ('$nombre', '$apellidos', '$dni', '$correo', '$tipo_usuario', '$clave','Activo','$tipo_documento')";

    if (mysqli_query($tu_conexion, $query_insertar_usuario)) {
        // Éxito al insertar el usuario
        $id_usuario = mysqli_insert_id($tu_conexion);

        // Insertar en la tabla correspondiente (docente o estudiante)
        if ($tipo_usuario === 'docente') {
            $query_insertar_docente = "INSERT INTO docentes (id_usuario) VALUES ('$id_usuario')";
            mysqli_query($tu_conexion, $query_insertar_docente);
        } elseif ($tipo_usuario === 'estudiante') {
            $query_insertar_estudiante = "INSERT INTO estudiantes (id_usuario,carrera) VALUES ('$id_usuario','$programa')";
            mysqli_query($tu_conexion, $query_insertar_estudiante);
        }

        // Respuesta de éxito
        header('Content-Type: application/json');
        echo json_encode(['success' => true, 'message' => 'Docente registrado con éxito.']);
    } else {
        // Error al insertar el usuario
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al registrar el docente.']);
    }

    // Cierra la conexión a la base de datos
    mysqli_close($tu_conexion);
} else {
    // Acceso no autorizado
    header('Content-Type: application/json');
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}
?>
