<?php
include '../../controllers/conexion.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obtener los datos del formulario
    $nombrePrograma = $_POST["nombrePrograma"];

    // Validar los datos (puedes agregar más validaciones según tus necesidades)
    if (empty($nombrePrograma)) {
        echo json_encode(['success' => false, 'message' => 'El nombre del programa es obligatorio.']);
    } else {
        // Insertar los datos en la base de datos
        $query = "INSERT INTO programas_estudio (nombre_programa) VALUES (?)";
        $stmt = mysqli_prepare($tu_conexion, $query);
        mysqli_stmt_bind_param($stmt, "s", $nombrePrograma);

        if (mysqli_stmt_execute($stmt)) {
            echo json_encode(['success' => true, 'message' => 'Programa de estudio agregado correctamente.']);
        } else {
            echo json_encode(['success' => false, 'message' => 'Error al agregar el programa de estudio: ' . mysqli_error($tu_conexion)]);
        }

        mysqli_stmt_close($stmt);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}

// Cerrar la conexión a la base de datos
mysqli_close($tu_conexion);
?>
