<?php
// Incluir el archivo de conexión a la base de datos
include 'app/controllers/conexion.php';

// Construir la consulta SQL basada en los filtros
$sql = "SELECT u.nombres, u.apellidos, u.direccion, u.telefono, u.correo, e.carrera, e.grado,e.educacion
        FROM estudiantes e
        INNER JOIN usuarios u ON e.id_usuario = u.id_usuario 
        WHERE u.rol ='estudiante' AND e.educacion = 'Egresado'";

// Agregar filtro por programa de estudios si se seleccionó uno
if (!empty($_GET['programa'])) {
    $programa = $_GET['programa'];
    $sql .= " AND e.carrera = '$programa'";
}

// Agregar filtro por búsqueda si se ingresó texto en el campo de búsqueda
if (!empty($_GET['buscar'])) {
    $buscar = $_GET['buscar'];
    // Filtrar por apellidos, nombres o DNI
    $sql .= " AND (u.apellidos LIKE '%$buscar%' OR u.nombres LIKE '%$buscar%' OR u.dni LIKE '%$buscar%')";
}

$result = $tu_conexion->query($sql);

// Construir el HTML para la tabla con los resultados filtrados
if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        echo "<tr>";
        echo "<td>" . $row["nombres"] . "</td>";
        echo "<td>" . $row["apellidos"] . "</td>";
        echo "<td>" . $row["carrera"] . "</td>";
        echo "<td>" . $row["direccion"] . "</td>";
        echo "<td>" . $row["telefono"] . "</td>";
        echo "<td>" . $row["correo"] . "</td>";
        echo "<td>" . $row["educacion"] . "</td>";
        echo "</tr>";
    }
} else {
    echo "<tr><td colspan='7'>No hay estudiantes registrados</td></tr>";
}
$tu_conexion->close();
?>
