<?php

class UsuariosController
{
    private $usuariosModel;

    public function __construct($conexion)
    {
        $this->usuariosModel = new usuariosModel($conexion);
    }

    public function obtenerCantidadUsuarios()
    {
        return $this->usuariosModel->obtenerEstudiantes();
    }

    public function obtenerCantidadEstudiantesInactivos()
    {
        return $this->usuariosModel->obtenerEstudiantesInactivos();
    }

    public function obtenerCantidadDocentes()
    {
        return $this->usuariosModel->obtenerDocentes();
    }

    public function obtenerCantidadDocentesInactivos()
    {
        return $this->usuariosModel->obtenerDocentesInactivos();
    }

    // Obtener todos los estudiantes inactivos
    public function mostrarActivos()
    {
        // Obtener todos los estudiantes inactivos
        $estudiantes = $this->usuariosModel->EstudiantesActivos();

        // Devolver el array de ofertas
        return $estudiantes;
    }

    // Obtener todos los estudiantes inactivos
    public function mostrarInactivos()
    {
        // Obtener todos los estudiantes inactivos
        $estudiantesi = $this->usuariosModel->EstudiantesInactivos();

        // Devolver el array de ofertas
        return $estudiantesi;
    }

    // Obtener todos los docentes activos
    public function docentesActivos()
    {
        // Obtener todos los docentes activos
        $docentes = $this->usuariosModel->DocentesActivos();

        // Devolver el array de ofertas
        return $docentes;
    }

     // Obtener todos los docentes inactivos
     public function docentesInactivos()
     {
         // Obtener todos los docentes inactivos
         $docentesi = $this->usuariosModel->DocentesInactivos();
 
         // Devolver el array de docentes
         return $docentesi;
     }

}

?>
