<?php

class ProgramasModel
{
    private $tu_conexion;

    public function __construct($conexion)
    {
        $this->tu_conexion = $conexion;
    }

    public function obtenerCantidadProgramas()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM programas_estudio";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerProgramas()
    {
        $query = "SELECT id_programa, nombre_programa FROM programas_estudio where estado = 'Activo'";
        $result = mysqli_query($this->tu_conexion, $query);

        $programas = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $programas[] = $row;
        }

        return $programas;
    }
}

?>