<?php
include '../../controllers/conexion.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $id_empresa = $_POST["id_tipo_contrato"];

    // Validar y limpiar el ID de la empresa (ejemplo de función de escape, ajusta según tu entorno)
    $id_empresa = mysqli_real_escape_string($tu_conexion, $id_empresa);

    // Realizar las acciones necesarias para dar de baja la empresa
    $query_activar_empresa = "UPDATE tipos_contrato SET estado = 'Inactivo' WHERE id_tipo_contrato = '$id_empresa'";
    $result_activar_empresa = mysqli_query($tu_conexion, $query_activar_empresa);

    if ($result_activar_empresa) {
        // Consulta adicional para obtener información actualizada de la empresa
        $response = ['success' => true, 'message' => 'Tipo de contrato dada de baja correctamente.'];
    } else {
        // Error al dar de baja la empresa
        $response = ['success' => false, 'message' => 'Error al dar de baja tipo de contrato: ' . mysqli_error($tu_conexion)];

        // Mensaje de depuración para el registro de errores de PHP
        error_log('Error al dar de baja la empresa: ' . mysqli_error($tu_conexion));
    }
} else {
    // Acceso no autorizado
    $response = ['success' => false, 'message' => 'Acceso no autorizado.'];
}

// Cerrar la conexión a la base de datos
mysqli_close($tu_conexion);

// Devolver la respuesta como JSON
header('Content-Type: application/json');
echo json_encode($response);
?>
