<?php
include '../../controllers/conexion.php';
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require __DIR__ . '/../../../libs/PHPMailer/src/Exception.php';
require __DIR__ . '/../../../libs/PHPMailer/src/PHPMailer.php';
require __DIR__ . '/../../../libs/PHPMailer/src/SMTP.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $id_usuario = $_POST["id_usuario"];

    // Realizar las acciones necesarias para activar al usuario
    // Por ejemplo, puedes ejecutar una consulta SQL para actualizar el estado
    $query_activar_usuario = "UPDATE usuarios SET estado = 'Activo' WHERE id_usuario = $id_usuario";
    $result_activar_usuario = mysqli_query($tu_conexion, $query_activar_usuario);

    if ($result_activar_usuario) {
        // Consulta adicional para obtener informacin del usuario
        $query_obtener_usuario = "SELECT nombres, apellidos, correo FROM usuarios WHERE id_usuario = $id_usuario";
        $result_obtener_usuario = mysqli_query($tu_conexion, $query_obtener_usuario);

        if ($result_obtener_usuario) {
            $usuario = mysqli_fetch_assoc($result_obtener_usuario);

            // Construir el mensaje personalizado
            $nombre = $usuario['nombres'];
            $apellidos = $usuario['apellidos'];
            $correo_usuario = $usuario['correo'];

            $mensaje = "<h1>Activacin Exitosa</h1>";
            $mensaje = "
                            <html>
                            <head>
                                <style>
                                    body {
                                        font-family: Arial, sans-serif;
                                        background-color: #f4f4f4;
                                        padding: 20px;
                                        text-align: center;
                                    }
                                    .container {
                                        background-color: #ffffff;
                                        padding: 20px;
                                        border-radius: 10px;
                                        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
                                        max-width: 600px;
                                        margin: 0 auto;
                                    }
                                    h1 {
                                        color: #333333;
                                    }
                                    p {
                                        color: #555555;
                                    }
                                </style>
                            </head>
                            <body>
                                <div class='container'>
                                    <h1>Activacin Exitosa</h1>
                                    <p>Estimado $nombre $apellidos,</p>
                                    <p>Tu cuenta en la Bolsa Laboral de IES Clorienda Matto de Turner ha sido activada correctamente. Ahora puedes acceder utilizando tu correo: $correo_usuario.</p>
                                </div>
                            </body>
                            </html>
                        ";


            // Enviar el mensaje por correo electrnico utilizando PHPMailer
            $mail = new PHPMailer(true);
            try {
                // Configuracin del servidor SMTP
                $mail->isSMTP();
                $mail->Host = 'mail.iesclorindamattodeturner.edu.pe';  // Reemplaza con la direccin de tu servidor SMTP
                $mail->SMTPAuth = true;
                $mail->Username = 'pruebabolsa@iesclorindamattodeturner.edu.pe'; // Reemplaza con tu direccin de correo
                $mail->Password = '#)^XgD4+;kGw';  // Reemplaza con tu contrase09a
                $mail->SMTPSecure = 'tls'; // tls o ssl, segn la configuracin de tu servidor
                $mail->Port = 587; // Puerto SMTP

                // Configuracin del correo
                $mail->setFrom('pruebabolsa@iesclorindamattodeturner.edu.pe', 'IES CLORINDA MATTO DE TURNER');
                $mail->addAddress($correo_usuario, "$nombre $apellidos");  // Utiliza la direccin de correo del usuario
                $mail->isHTML(true);
                $mail->Subject = 'Activacin Exitosa';
                $mail->Body = $mensaje;

                // Enviar el correo
                $mail->send();

                // Devolver una respuesta JSON de xito
                header('Content-Type: application/json');
                echo json_encode(['success' => true, 'message' => 'Usuario activado correctamente.']);
            } catch (Exception $e) {
                // Devolver una respuesta JSON de error al enviar el correo
                header('Content-Type: application/json');
                echo json_encode(['success' => false, 'message' => 'Error al enviar el correo: ' . $mail->ErrorInfo]);
            }
        } else {
            // Devolver una respuesta JSON de error al obtener informacin del usuario
            header('Content-Type: application/json');
            echo json_encode(['success' => false, 'message' => 'Error al obtener informacin del usuario: ' . mysqli_error($tu_conexion)]);
        }
    } else {
        // Devolver una respuesta JSON de error al activar el usuario
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al activar el usuario: ' . mysqli_error($tu_conexion)]);
    }
} else {
    // Devolver una respuesta JSON de acceso no autorizado
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}

// Cerrar la conexin a la base de datos
mysqli_close($tu_conexion);
?>
