<?php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Recibir datos del formulario
    $id_usuario = $_POST['id_usuario'];
    $nombres = $_POST['nombres'];
    $apellidos = $_POST['apellidos'];
    $dni = $_POST['dni'];
    $telefono = $_POST['telefono'];
    $direccion = $_POST['direccion'];
    $ciudad = $_POST['ciudad'];
    $provincia = $_POST['provincia'];
    $distrito = $_POST['distrito'];
    $tipodoc = $_POST['tipodoc'];

    

    // Validar y actualizar datos en la tabla usuarios
    $query_actualizar_usuario = "UPDATE usuarios
                                 SET nombres = '$nombres', apellidos = '$apellidos', dni = '$dni',
                                     telefono = '$telefono', direccion = '$direccion', ciudad = '$ciudad',
                                     pais = '$provincia', distrito = '$distrito',tipodoc = '$tipodoc'
                                 WHERE id_usuario = '$id_usuario'";

    if (mysqli_query($tu_conexion, $query_actualizar_usuario)) {
        // Éxito al actualizar el usuario

        // Verificar el rol para decidir qué acción tomar
        $rol = obtenerRolUsuario($tu_conexion, $id_usuario);

        if ($rol === 'estudiante') {
            $id_programa = $_POST['id_programa'];
            
            $grado = $_POST['grado'];
            $educacion = $_POST['educacion'];
            $habilidades = $_POST['habilidades'];
            $objetivos = $_POST['objetivos'];
            $interes = $_POST['interes'];

            $query_actualizar_estudiante = "UPDATE estudiantes
                                            SET carrera = '$id_programa', grado = '$grado', educacion = '$educacion',
                                            objetivo_profesional = '$objetivos',habilidades = '$habilidades',intereses = '$interes'
                                            WHERE id_usuario = '$id_usuario'";

            if (mysqli_query($tu_conexion, $query_actualizar_estudiante)) {
                header('Content-Type: application/json');
                echo json_encode(['success' => true, 'message' => 'Perfil actualizado con éxito.']);
            } else {
                header('Content-Type: application/json');
                echo json_encode(['success' => false, 'message' => 'Error al actualizar el perfil de estudiante: ' . mysqli_error($tu_conexion)]);
            }
        } else {
            header('Content-Type: application/json');
            echo json_encode(['success' => true, 'message' => 'Perfil actualizado con éxito.']);
        }


        // Manejar la carga de la foto
        if ($_FILES['foto']['error'] === UPLOAD_ERR_OK) {
            $foto_temp = $_FILES['foto']['tmp_name'];
            $foto_destino = '../../archivos/fotos/' . $_FILES['foto']['name'];
            move_uploaded_file($foto_temp, $foto_destino);

            // Actualizar la ruta de la foto en la base de datos
            $query_actualizar_foto = "UPDATE estudiantes SET foto_archivo = '$foto_destino' WHERE id_usuario = '$id_usuario'";
            mysqli_query($tu_conexion, $query_actualizar_foto);
        }

        // Manejar la carga del currículum
        if ($_FILES['curriculum']['error'] === UPLOAD_ERR_OK) {
            $curriculum_temp = $_FILES['curriculum']['tmp_name'];
            $curriculum_destino = '../../archivos/curriculum/' . $_FILES['curriculum']['name'];
            move_uploaded_file($curriculum_temp, $curriculum_destino);

            // Actualizar la ruta del currículum en la base de datos
            $query_actualizar_curriculum = "UPDATE estudiantes SET curriculum_archivo = '$curriculum_destino' WHERE id_usuario = '$id_usuario'";
            mysqli_query($tu_conexion, $query_actualizar_curriculum);
        }

    } else {
        // Error al actualizar el usuario
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al actualizar el perfil: ' . mysqli_error($tu_conexion)]);
    }

    // Cierra la conexión a la base de datos
    mysqli_close($tu_conexion);
} else {
    // Acceso no autorizado
    http_response_code(401);
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}

function obtenerRolUsuario($conexion, $id_usuario) {
    $query = "SELECT rol FROM usuarios WHERE id_usuario = '$id_usuario'";
    $result = mysqli_query($conexion, $query);

    if ($result) {
        $fila = mysqli_fetch_assoc($result);
        return $fila['rol'];
    }

    return null;
}
?>
