<?php
date_default_timezone_set('America/Lima');
include 'app/controllers/conexion.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

include 'libs/PHPMailer/src/Exception.php';
include 'libs/PHPMailer/src/PHPMailer.php';
include 'libs/PHPMailer/src/SMTP.php';

// Obtener la dirección de correo electrónico del formulario
$correo = $_POST['correo'];

// Verificar si el correo existe en la base de datos
$sql = "SELECT id_usuario, nombres FROM usuarios WHERE correo = '$correo'";
$result = $tu_conexion->query($sql);

if ($result->num_rows > 0) {
    // Generar un token único
    $token = bin2hex(random_bytes(32));

    // Almacenar el token en la base de datos junto con la dirección de correo electrónico y la fecha de expiración
    $expiryDate = date('Y-m-d H:i:s', strtotime('+1 hour'));
    $row = $result->fetch_assoc();
    $userId = $row['id_usuario'];

    $sql = "INSERT INTO recuperacion_contrasena (usuario_id, token, expira_en) VALUES ('$userId', '$token', '$expiryDate')";
    $tu_conexion->query($sql);

    // Enviar correo electrónico con el enlace de recuperación
    $mail = new PHPMailer(true);

    try {
        // Configuración del correo electrónico
        $mail->isSMTP();
        $mail->Host = 'mail.iesclorindamattodeturner.edu.pe';  // Reemplaza con la dirección de tu servidor SMTP
        $mail->SMTPAuth = true;
        $mail->Username = 'pruebabolsa@iesclorindamattodeturner.edu.pe'; // Reemplaza con tu dirección de correo
        $mail->Password = '#)^XgD4+;kGw';  // Reemplaza con tu contraseña
        $mail->SMTPSecure = 'tls'; // tls o ssl, según la configuración de tu servidor
        $mail->Port = 587; // Puerto SMTP

        // Configuración del correo electrónico
        $mail->setFrom('pruebabolsa@iesclorindamattodeturner.edu.pe', 'Bolsa Laboral - IES CALCA');
        $mail->addAddress($correo, $row['nombres']);
        $mail->isHTML(true);
        $mail->Subject = 'Restablecer Clave';
        $mail->Body = 'Hola ' . $row['nombres'] . ',<br><br>' .
                      'Hemos recibido una solicitud para restablecer la clave de tu cuenta.<br><br>' .
                      'Para restablecer tu clave, haz clic en el siguiente enlace:<br>' .
                      '<a href="https://iesclorindamattodeturner.edu.pe/bolsalaboral/restablecer.php?token=' . $token . '">Restablecer Clave</a><br><br>' .
                      'Este enlace expira en 1 hora.<br><br>' .
                      'Si no solicitaste este restablecimiento, puedes ignorar este correo.<br><br>' .
                      'Saludos,<br>Nombre de tu aplicación';

        $mail->send();

        // Construir la respuesta en formato JSON para jQuery/Swal
        $response = array(
            'success' => true,
            'message' => 'Correo de recuperación enviado con éxito.'
        );

        // Devolver la respuesta como JSON
        header('Content-Type: application/json');
        echo json_encode($response);
    } catch (Exception $e) {
        // Construir la respuesta en formato JSON para jQuery/Swal en caso de error
        $response = array(
            'success' => false,
            'message' => "Error al enviar el correo de recuperación: {$mail->ErrorInfo}"
        );

        // Devolver la respuesta como JSON
        header('Content-Type: application/json');
        echo json_encode($response);
    }
} else {
    // Construir la respuesta en formato JSON para jQuery/Swal si no existe una cuenta asociada
    $response = array(
        'success' => false,
        'message' => 'No existe una cuenta asociada a esta dirección de correo electrónico.'
    );

    // Devolver la respuesta como JSON
    header('Content-Type: application/json');
    echo json_encode($response);
}

$tu_conexion->close();
?>
